> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitoearn.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Image Editing Models

> Interface description: Returns the optional parameters and value ranges of each image editing model.

Image editing is **Pictures from Pictures**: You must pass in a reference picture, and follow the prompts to modify and redraw it based on it. If you want to generate a new image (Vincent image) using only text, please use ["Image Generation Model"](/en/api-reference/get-api-ai-models-image-generation) and the corresponding image generation interface.



## OpenAPI

````yaml /openapi/en/aitoearn.openapi.json get /api/ai/models/image/edit
openapi: 3.0.1
info:
  title: AiToEarn Open Platform API
  description: >-
    AiToEarn Open Platform API. You can switch between the China and
    international sites for testing. Business success is determined by whether
    the response body has code === 0.
  version: 1.0.0
  contact: {}
servers:
  - url: https://aitoearn.cn
    description: China site
  - url: https://aitoearn.ai
    description: International site
security: []
tags:
  - name: AI Services
  - name: AI Services/Video Generation
  - name: AI Services/Image Generation
  - name: Channel Management
  - name: Channel Management/Accounts
  - name: Channel Management/Publishing
  - name: Channel Management/Platforms
  - name: Channel Management/Works
  - name: Channel Management/Account Groups
  - name: Channel Management/Authorization
  - name: Asset Management
  - name: AI Services/Large Language Models
paths:
  /api/ai/models/image/edit:
    get:
      tags:
        - AI Services/Image Generation
      summary: Image Editing Models
      description: >-
        Interface description: Returns the optional parameters and value ranges
        of each image editing model.


        Image editing is **Pictures from Pictures**: You must pass in a
        reference picture, and follow the prompts to modify and redraw it based
        on it. If you want to generate a new image (Vincent image) using only
        text, please use ["Image Generation
        Model"](/en/api-reference/get-api-ai-models-image-generation) and the
        corresponding image generation interface.
      operationId: ImageController_getImageEditModels
      parameters: []
      responses:
        '200':
          description: >-
            The request has been processed by the service. Business success is
            determined by whether the response body has code === 0.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/ImageEditModelParamsVo'
                  code:
                    type: integer
                    description: >-
                      Business status code. 0 means success; non-zero means a
                      business error.
                  message:
                    type: string
                    description: Response message.
                  requestId:
                    type: string
                    description: Request ID.
                  timestamp:
                    type: integer
                    description: Error response timestamp in Unix milliseconds.
                required:
                  - code
                  - message
              examples:
                success:
                  summary: Success
                  value:
                    code: 0
                    message: Request succeeded
                    data:
                      - name: string
                        description: string
                        tags: []
                        sizes:
                          - string
                        pricing:
                          - size: string
                            price: 1
                            originPrice: 1
                        maxInputImages: 1
                        summary: string
                        logo: string
                        mainTag: string
      deprecated: false
      security: []
components:
  schemas:
    ImageEditModelParamsVo:
      type: object
      properties:
        name:
          type: string
          description: Model name
        description:
          type: string
          description: Model description
        summary:
          type: string
          description: short summary
        logo:
          type: string
          description: logo
        tags:
          default: []
          type: array
          items:
            type: string
          description: tag list
        mainTag:
          type: string
          description: main tags
        sizes:
          type: array
          items:
            type: string
          description: Supported sizes
        pricing:
          type: array
          items:
            type: object
            properties:
              size:
                type: string
                description: Image size
              price:
                type: number
                description: Points price
              originPrice:
                description: original price
                type: number
            required:
              - size
              - price
            additionalProperties: false
          description: Resolution price list
        maxInputImages:
          type: number
      required:
        - name
        - description
        - tags
        - sizes
        - pricing
        - maxInputImages
      additionalProperties: false

````